Download it now!
Bug 37816 - Pivot table crashes as soon as you try to pull a column into rows
Summary: Pivot table crashes as soon as you try to pull a column into rows
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.4.0 release
Hardware: x86-64 (AMD64) All
: medium critical
Assignee: Kohei Yoshida
URL:
Whiteboard: target:3.4.1
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-01 07:16 UTC by Nikos
Modified: 2011-06-10 02:58 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
just a sample pivot table which crashes like any other I tried (8.79 KB, application/vnd.oasis.opendocument.spreadsheet)
2011-06-01 07:16 UTC, Nikos
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nikos 2011-06-01 07:16:51 UTC
Created attachment 47424 [details]
just a sample pivot table which crashes like any other I tried

Sorry for the bad english in my description, but I don' t know how exactly how to describe this (and changing (quite often) the names of parts of the application does not help!)

Steps to reproduce
Open attached file
go to sheet Pivot_Table1_1
click on c (field c2)
Pull it over field d2 holding the mouse button pressed.
Comment 1 Drew Jensen 2011-06-01 08:26:25 UTC
Libo 3.4 RC2, Ubuntu 11.04 AMD64 (Unity)

Using the example file and following the steps does not immediately cause a crash on my system, but after doing so then any next action does. Did this three times and three crashes.

Changing platform to all.
Comment 2 Guilherme 2011-06-02 15:35:03 UTC
I've tried on LO 3.3.1 and on LO 3.4.0 RC2.
On 3.3.1 it works. On LO 3.4.0 RC2 it crashes just as you described !
Comment 3 Petr Mladek 2011-06-03 07:33:51 UTC
It is a nasty crasher. Though, it does not affect majority of users and must not block the release => lowering the severity a bit.

Kohei, do you want to have a look?
Comment 4 Kohei Yoshida 2011-06-03 07:52:17 UTC
Sure, I'll take a look.
Comment 5 Kohei Yoshida 2011-06-08 13:24:06 UTC
Ah, got it.  This is also another instance where a replacement of antiquated 'List' container with boost::ptr_vector caused a crasher...

I'll put a fix in shortly.
Comment 6 Kohei Yoshida 2011-06-08 13:35:18 UTC
Fixed on master (for 3.5).

http://cgit.freedesktop.org/libreoffice/calc/commit/?id=34a1f66c5f69aba2cd6135895563cf569a2531eb

Request for review sent to the list, to fix this in 3.4.1.
Comment 7 Kohei Yoshida 2011-06-08 15:59:37 UTC
Ok.  The fix will be in 3.4.1.
Comment 8 Rainer Bielefeld Retired 2011-06-10 02:58:42 UTC
RC2 is bit by bit identical with release version, so separate items in the version picker are useless. Changes have been discussed with Michael Meeks.